Index: sandbox/expresso/novos_templates/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 710)
+++ sandbox/expresso/novos_templates/expressoMail1_2/js/draw_api.js	(revision 773)
@@ -21,9 +21,17 @@
 function draw_tree_folders(folders){
 	// Check if the tree folders alredy exist.
-
 	if (Element('dftree_tree_folders')){
 		var update_tree_folders = function(data){
 			build_quota(data);
+			var unseen_in_mailbox = 0;
+			var unseen_in_shared_folders = 0;
 			for (var i=0; i<data.length; i++){
+				if ( data[i].folder_unseen > 0 )
+				{
+					unseen_in_mailbox = parseInt( unseen_in_mailbox + data[ i ].folder_unseen );
+					if ( data[i].folder_id.indexOf( 'INBOX' ) !== 0 )
+						unseen_in_shared_folders = parseInt( unseen_in_shared_folders + data[ i ].folder_unseen );
+				}
+
 				var folder_unseen = Element('dftree_'+data[i].folder_id+'_unseen');
 				
@@ -43,5 +51,5 @@
 				}
 
-				if(data[i].folder_id == get_current_folder()){					
+				if(data[i].folder_id == current_folder){					
 					var old_new_m = isNaN(parseInt(Element('new_m').innerHTML)) ? parseInt(Element('new_m').firstChild.innerHTML) : parseInt(Element('new_m').innerHTML);
 //					if(!isNaN(old_new_m) && old_new_m < data[i].folder_unseen){
@@ -52,8 +60,25 @@
 				}
 			}
+
+			var display_unseen_in_mailbox = tree_folders.getNodeById( 'root' );
+			//if ( unseen_in_mailbox )
+			//	display_unseen_in_mailbox.alter({caption:'<font style=color:red>[</font><span id="dftree_root_unseen" style="color:red">' + unseen_in_mailbox +'</span><font style=color:red>]</font> ' + get_lang("My Folders")});
+			//else
+				display_unseen_in_mailbox.alter({caption:get_lang("My Folders")});
+			display_unseen_in_mailbox._refresh();
+
+			var display_unseen_in_shared_folders = tree_folders.getNodeById( 'user' );
+			if ( display_unseen_in_shared_folders )
+			{
+				if ( unseen_in_shared_folders )
+					display_unseen_in_shared_folders.alter({caption:'<font style=color:red>[</font><span id="dftree_user_unseen" style="color:red">' + unseen_in_shared_folders +'</span><font style=color:red>]</font> ' + get_lang("Shared folders")});
+				else
+					display_unseen_in_shared_folders.alter({caption:get_lang("Shared folders")});
+				display_unseen_in_shared_folders._refresh();
+			}
 		}
 		cExecute ("$this.imap_functions.get_folders_list&folder="+current_folder, update_tree_folders);
-		
-		
+
+
 		/**
 		 * Pastas locais
@@ -106,7 +131,13 @@
 		tree_folders.add(n_root,'anything'); //Places the root; second argument can be anything.
 	
+		var unseen_in_mailbox = 0;
+		var unseen_in_shared_folders = 0;
 		for (var i=0; i<folders.length; i++){
 			if (folders[i].folder_unseen > 0)
 			{
+				unseen_in_mailbox = parseInt( unseen_in_mailbox + folders[ i ].folder_unseen );
+				if ( folders[i].folder_id.indexOf( 'INBOX' ) !== 0 )
+					unseen_in_shared_folders = parseInt( unseen_in_shared_folders + folders[ i ].folder_unseen );
+
 				var nn = new dNode({id:folders[i].folder_id, caption:lang_folder(folders[i].folder_name) + '<font style=color:red>&nbsp(</font><span id="dftree_'+folders[i].folder_id+'_unseen" style=color:red>'+folders[i].folder_unseen+'</span><font style=color:red>)</font>', onClick:"change_folder('"+folders[i].folder_id+"','"+folders[i].folder_name+"')", plusSign:folders[i].folder_hasChildren}); 
 				
@@ -169,9 +200,25 @@
 		}
 
-		
-		
 		tree_folders.draw(Element('content_folders'));
 		n_root.changeState();
-		tree_folders.getNodeById('INBOX')._select();		
+
+		var trash_span=document.getElementById('lINBOX/'+trashfolder+'tree_folders');
+		var draft_span=document.getElementById('lINBOX/'+draftsfolder+'tree_folders');
+		var sent_span=document.getElementById('lINBOX/'+sentfolder+'tree_folders');
+		var spam_span=document.getElementById('lINBOX/'+spamfolder+'tree_folders');
+
+		if (trash_span)
+			trash_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_trash.png)";
+
+		if (draft_span)
+			draft_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_draft.png)"
+
+		if (sent_span)
+			sent_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_sent.png)";
+
+		if (spam_span)
+			spam_span.style.backgroundImage="url(../phpgwapi/templates/"+template+"/images/foldertree_spam.png)";
+
+		tree_folders.getNodeById('INBOX')._select();
 		draw_paging(Element('tot_m').innerHTML);
 		// Draw right menu folders.
@@ -181,6 +228,23 @@
 			_dragArea.makeMenuBox(linkBox);
 		*/
-	}
-	
+
+		var display_unseen_in_mailbox = tree_folders.getNodeById( 'root' );
+		//if ( unseen_in_mailbox )
+		//	display_unseen_in_mailbox.alter({caption:'<font style=color:red>[</font><span id="dftree_root_unseen" style="color:red">' + unseen_in_mailbox +'</span><font style=color:red>]</font> ' + get_lang("My Folders")});
+		//else
+			display_unseen_in_mailbox.alter({caption:get_lang("My Folders")});
+		display_unseen_in_mailbox._refresh();
+
+		var display_unseen_in_shared_folders = tree_folders.getNodeById( 'user' );
+		if ( display_unseen_in_shared_folders )
+		{
+			if ( unseen_in_shared_folders )
+				display_unseen_in_shared_folders.alter({caption:'<font style=color:red>[</font><span id="dftree_user_unseen" style="color:red">' + unseen_in_shared_folders +'</span><font style=color:red>]</font> ' + get_lang("Shared folders")});
+			else
+				display_unseen_in_shared_folders.alter({caption:get_lang("Shared folders")});
+			display_unseen_in_shared_folders._refresh();
+		}
+	}
+
 	var folder_create = "";
 	var nm1 = "";
@@ -222,5 +286,5 @@
 		if ( data && data.imap_error )
 		{
-			connector.newRequest('error.html', 'templates/default/error.html', 'GET',
+			connector.newRequest('error.html', 'templates/'+template+'/error.html', 'GET',
 				function(data)
 				{
@@ -236,5 +300,5 @@
 		if(data) {
 			build_quota(data);			
-			var f_unseen = Element('dftree_'+get_current_folder()+'_unseen');
+			var f_unseen = Element('dftree_'+current_folder+'_unseen');
 			if(f_unseen && f_unseen.innerHTML)
 				Element('new_m').innerHTML = '<font face="Verdana" size="1" color="RED">'+f_unseen.innerHTML+'</font>';
@@ -279,5 +343,5 @@
 
 function open_folder(folder, folder_name){
-	if (get_current_folder()!= folder) {
+	if (current_folder!= folder) {
 		current_folder = folder;
 		var handler_draw_box = function(data){
@@ -304,8 +368,8 @@
 	total_pages = 1;
 
-	if(last_folder != get_current_folder()){
+	if(last_folder != current_folder){
 		lastPage = 1;
 		current_page = 1;
-		last_folder = get_current_folder();
+		last_folder = current_folder;
   	}
 
@@ -415,4 +479,5 @@
 	openTab.content_id[numBox] = document.getElementById("content_id_"+numBox);	
 	openTab.imapBox[numBox] = msg_folder;
+	openTab.type[numBox] = 0;
 	
 	table_message_header_box = document.getElementById("table_message_header_box_"+numBox);
@@ -534,10 +599,9 @@
 	}
 	
-	if(is_ie) {
-		_divScroll.style.overflowY = "auto";								
-		_divScroll.style.overflowX = "hidden";
-		_divScroll.style.width	="100%";
-	}													
-	else{
+	_divScroll.style.overflowY = "auto";								
+	_divScroll.style.overflowX = "hidden";
+	_divScroll.style.width	="100%";
+	
+	if (is_mozilla){
 		_divScroll.style.overflow = "-moz-scrollbars-vertical";
 		_divScroll.style.width	="99.3%";
@@ -573,5 +637,6 @@
 				f_unseen++;
 			tr_element = this.make_tr_message(headers_msgs[i], msg_folder);
-			tbody_element.appendChild(tr_element);
+			if (tr_element)
+				tbody_element.appendChild(tr_element);
 			_dragArea.makeDragged(tr_element, headers_msgs[i].msg_number, headers_msgs[i].subject, true);
 	}
@@ -582,5 +647,6 @@
 	var tdFolders  =  Element("folderscol");
 	tdFolders.style.display = preferences.hide_folders == '1'  ? "none" : "";
-	alternate_border(numBox);
+	if ( !currentTab )
+		alternate_border(numBox);
 	draw_footer_box(headers_msgs.num_msgs);	
 	Element('main_table').style.display = '';
@@ -619,4 +685,5 @@
 	}
 }
+
 function change_tr_properties(tr_element, newUid, newSubject){
        var td_who = document.getElementById('td_who_'+tr_element.id);
@@ -644,4 +711,12 @@
 			add_className(tr_element, 'tr_msg_read');
 		}
+
+		if ((headers_msgs.Unseen == 'U') || (headers_msgs.Recent == 'N'))
+			add_className(tr_element, 'tr_msg_unread');
+		else
+			add_className(tr_element, 'tr_msg_read');
+		
+		if (headers_msgs.Flagged == 'F')
+			add_className(tr_element,'flagged_msg');
 
 		td_element1 = document.createElement("TD");
@@ -662,5 +737,6 @@
 		td_element2.setAttribute("width", "2%");
 		if (headers_msgs.attachment && headers_msgs.attachment.number_attachments > 0)
-			td_element2.innerHTML = "<img src ='templates/default/images/clip.gif' title='" + url_decode(headers_msgs.attachment.names) + "'>";
+			//td_element2.innerHTML = "<img src ='templates/"+template+"/images/clip.gif' title='" + url_decode(headers_msgs.attachment.names) + "'>";
+			td_element2.style.background = "url(templates/"+template+"/images/clip.gif) no-repeat center";
 			
 		td_element21 = document.createElement("TD");
@@ -669,5 +745,6 @@
 
 		if ((headers_msgs.Forwarded == 'F')  || (headers_msgs.Draft == 'X' && headers_msgs.Answered == 'A')){
-			td_element21.innerHTML += "<img src ='templates/default/images/forwarded.gif' title='"+get_lang('Forwarded')+"'>";
+			//td_element21.innerHTML += "<img src ='templates/"+template+"/images/forwarded.gif' title='"+get_lang('Forwarded')+"'>";
+			td_element21.style.background = "url(templates/"+template+"/images/forwarded.gif) no-repeat center";
 			headers_msgs.Draft = '' 
 			headers_msgs.Answered = '';
@@ -675,7 +752,9 @@
 		}
 		else if (headers_msgs.Draft == 'X')
-			td_element2.innerHTML += "<img src ='templates/default/images/draft.gif' title='"+get_lang('Draft')+"'>";
+			//td_element2.innerHTML += "<img src ='templates/"+template+"/images/draft.gif' title='"+get_lang('Draft')+"'>";
+			td_element2.style.background = "url(templates/"+template+"/images/draft.gif) no-repeat center";
 		else if (headers_msgs.Answered == 'A')
-			td_element21.innerHTML += "<img src ='templates/default/images/answered.gif' title='"+get_lang('Answered')+"'>";
+			//td_element21.innerHTML += "<img src ='templates/"+template+"/images/answered.gif' title='"+get_lang('Answered')+"'>";
+			td_element21.style.background = "url(templates/"+template+"/images/answered.gif) no-repeat center";
 
 		td_element22 = document.createElement("TD");
@@ -683,14 +762,11 @@
 		td_element22.id = "td_message_important_"+headers_msgs.msg_number;
 
-		// preload image
-		var _img_important = new Image();
-		_img_important.src = "templates/default/images/important.gif"
-		if (headers_msgs.Flagged == 'F' || (headers_msgs.Importance.toLowerCase().indexOf("high") != -1 && preferences.use_important_flag == 'True')){
-			td_element22.innerHTML += "<img src ='templates/default/images/important.gif' title='"+get_lang('Important')+"'>";
-			}
+		if (headers_msgs.Flagged == 'F' || (headers_msgs.Importance.toLowerCase().indexOf("high") != -1 && preferences.use_important_flag == 'True'))
+		{
+			td_element22.style.background = "url(templates/"+template+"/images/important.gif) no-repeat center";
+		}
 		else
 			td_element22.innerHTML += "&nbsp;&nbsp;&nbsp;";
-			
-			
+
 		td_element23 = document.createElement("TD");
 		td_element23.setAttribute("width", "1%");
@@ -699,5 +775,5 @@
 		// preload image
 		var _img_sent = new Image();
-		_img_sent.src 	 = "templates/default/images/sent.gif";
+		_img_sent.src 	 = "templates/"+template+"/images/sent.gif";
 
 		td_element3 = document.createElement("TD");
@@ -708,4 +784,6 @@
 		td_element3.innerHTML = '&nbsp;';
 		
+		if (typeof(headers_msgs.from) == 'undefined')
+			return false;
 		if(headers_msgs.from.email.toLowerCase() == Element("user_email").value)
 		{ 
@@ -715,5 +793,5 @@
 			else{				
 				if(headers_msgs.to.email.toLowerCase() != Element("user_email").value)
-					td_element23.innerHTML = "<img valign='center' src ='templates/default/images/sent.gif' title='"+get_lang('Sent')+"'>";
+					td_element23.innerHTML = "<img valign='center' src ='templates/"+template+"/images/sent.gif' title='"+get_lang('Sent')+"'>";
 			
 				if ((headers_msgs.to)&&(headers_msgs.to.name != null))
@@ -799,5 +877,5 @@
 	var message_header = Element("message_header_"+search);
 	var handler_draw_box = function(data){
-		draw_box(data, get_current_folder(),true);
+		draw_box(data, current_folder,true);
 		draw_paging(Element('tot_m').innerHTML);
 		//Mostrar as msgs nao lidas de acordo com o filtro de relevancia
@@ -825,5 +903,5 @@
 
 	proxy_mensagens.messages_list(current_folder,1,preferences.max_email_per_page,sort,search,sort_box_reverse,handler_draw_box);
-//	cExecute ("$this.imap_functions.get_range_msgs2&folder="+current_folder+"&msg_range_begin=1&msg_range_end="+preferences.max_email_per_page+"&search_box_type="+search+"&sort_box_type="+sort+"&sort_box_reverse="+sort_box_reverse+"", handler_draw_box);
+	cExecute ("$this.imap_functions.get_range_msgs2&folder="+current_folder+"&msg_range_begin=1&msg_range_end="+preferences.max_email_per_page+"&sort_box_type="+sort+"&search_box_type="+search+"&sort_box_reverse="+sort_box_reverse+"", handler_draw_box);
 	current_page = 1;
 	//Comentado para nao sobrepor o numero de msgs nao lidas ao utilizar os filtros
@@ -852,5 +930,5 @@
 	document.getElementById("message_header_SORTARRIVAL_"+numBox).innerHTML = get_lang("Date");
 	document.getElementById("message_header_SORTSIZE_"+numBox).innerHTML	= get_lang("Size");	
-	document.getElementById("message_header_"+(sort_box_type.lastIndexOf("SORT") != "-1" ? sort_box_type : "SORTARRIVAL")+"_"+numBox ).innerHTML = "<B>"+type_name+"</B><img src ='templates/default/images/arrow_"+(sort_box_reverse == 1 ? 'desc' : 'asc')+"endant.gif'>";
+	document.getElementById("message_header_"+(sort_box_type.lastIndexOf("SORT") != "-1" ? sort_box_type : "SORTARRIVAL")+"_"+numBox ).innerHTML = "<B>"+type_name+"</B><img src ='templates/"+template+"/images/arrow_"+(sort_box_reverse == 1 ? 'desc' : 'asc')+"endant.gif'>";
 }
 function draw_message(info_msg, ID){
@@ -870,5 +948,5 @@
 	var img_next_msg = document.createElement("IMG");
 	img_next_msg.id = 'msg_opt_next_' + ID;
-	img_next_msg.src = './templates/default/images/down.button.png';
+	img_next_msg.src = './templates/'+template+'/images/down.button.png';
 	img_next_msg.title = get_lang('Next');
 	img_next_msg.style.cursor = 'pointer';
@@ -897,5 +975,5 @@
 				msg_range_begin = (msg_range_end-(preferences.max_email_per_page)+1);
 				kill_current_box();
-				cExecute ('$this.imap_functions.get_range_msgs2&folder='+get_current_folder()+'&msg_range_begin='+msg_range_begin+'&msg_range_end='+msg_range_end+'&sort_box_reverse=1', function handler(data){draw_box(data, get_current_folder());}) */
+				cExecute ('$this.imap_functions.get_range_msgs2&folder='+current_folder+'&msg_range_begin='+msg_range_begin+'&msg_range_end='+msg_range_end+'&sort_box_reverse=1', function handler(data){draw_box(data, current_folder);}) */
 					delete_border(ID);
 			};
@@ -905,5 +983,5 @@
 	var img_previous_msg = document.createElement("IMG");
 	img_previous_msg.id = 'msg_opt_previous_' + ID;
-	img_previous_msg.src = './templates/default/images/up.button.png';
+	img_previous_msg.src = './templates/'+template+'/images/up.button.png';
 	img_previous_msg.title = get_lang('Previous');
 	img_previous_msg.style.cursor = 'pointer';
@@ -966,17 +1044,17 @@
 	td.innerHTML = _name.bold() + ', ' + info_msg.smalldate;
 	if (info_msg.attachments.length > 0)
-		td.innerHTML += "&nbsp<img style='cursor:pointer' onclick='javascript:Element(\"option_hide_more_"+ID+"\").onclick()' src ='templates/default/images/clip.gif' title='"+info_msg.attachments.names+"'>";
+		td.innerHTML += "&nbsp<img style='cursor:pointer' onclick='javascript:Element(\"option_hide_more_"+ID+"\").onclick()' src ='templates/"+template+"/images/clip.gif' title='"+info_msg.attachments.names+"'>";
 	
 	if (typeof(info_msg.signature) == 'string')
 	{	
 		if (info_msg.signature != "void")
-			td.innerHTML += '&nbsp;<img style="cursor:pointer" onclick="alert(\''+ get_lang("This message is signed, and you can trust.") + info_msg.signature +'\');" src="templates/default/images/signed.gif">';
+			td.innerHTML += '&nbsp;<img style="cursor:pointer" onclick="alert(\''+ get_lang("This message is signed, and you can trust.") + info_msg.signature +'\');" src="templates/'+template+'/images/signed.gif">';
 		else
-			td.innerHTML += "&nbsp;<img style='cursor:pointer' onclick='alert(\""+get_lang("This message is signed, but it is invalid. You should not trust on it.")+"\");' title='"+get_lang("Voided message")+"' src='templates/default/images/invalid.gif'>";
+			td.innerHTML += "&nbsp;<img style='cursor:pointer' onclick='alert(\""+get_lang("This message is signed, but it is invalid. You should not trust on it.")+"\");' title='"+get_lang("Voided message")+"' src='templates/"+template+"/images/invalid.gif'>";
 	}
 	
 	if (info_msg.DispositionNotificationTo)
 	{
-		td.innerHTML += '&nbsp;<img style="cursor:pointer" alt="'+ get_lang('Message with read notification') + '" title="'+ get_lang('Message with read notification') + '" src="templates/default/images/notification.gif">';
+		td.innerHTML += '&nbsp;<img style="cursor:pointer" alt="'+ get_lang('Message with read notification') + '" title="'+ get_lang('Message with read notification') + '" src="templates/'+template+'/images/notification.gif">';
 	}
 	
@@ -985,5 +1063,5 @@
 	{
 	var options = document.createElement("TD");
-	options.width = "100%";
+	options.width = "30%";
 	options.setAttribute("noWrap","true");
 	var option_hide_more = document.createElement("SPAN");
@@ -1012,26 +1090,25 @@
 		}
 	};
-
+	var option_mark = document.createElement('TD');
+	option_mark.align = "left";
+	option_mark.width = "50%";
+	var option_mark_as_unseen = '<span class="message_options" onclick="set_messages_flag(\'unseen\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Unseen")+'.\');">'+get_lang("Unseen")+'</span>, ';
+	var option_mark_as_important = '<span class="message_options" onclick="set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
+	var option_mark_as_normal = '<span class="message_options" onclick="set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span>';
+	option_mark.innerHTML = option_mark_as_unseen+option_mark_as_important+option_mark_as_normal;
 	option_hide_more.innerHTML = get_lang('Options');
 	options.appendChild(option_hide_more);
 	
 	var space0 = document.createElement("SPAN");
-	space0.innerHTML = '&nbsp;';
+	space0.innerHTML = '&nbsp;|&nbsp;';
 	var space1 = document.createElement("SPAN");
-	space1.innerHTML = '&nbsp;';
+	space1.innerHTML = '&nbsp;|&nbsp;';
 	var space2 = document.createElement("SPAN");
-	space2.innerHTML = '&nbsp;';
+	space2.innerHTML = '&nbsp;|&nbsp;';
 	var space3 = document.createElement("SPAN");
-	space3.innerHTML = '&nbsp;';
+	space3.innerHTML = '&nbsp;|&nbsp;';
 	var space4 = document.createElement("SPAN");
-	space4.innerHTML = '&nbsp;';
-
-	var option_print = document.createElement("SPAN");
-	option_print.id = 'msg_opt_print_'+ID;
-	option_print.className = 'message_options';
-	option_print.onclick = function(){print_msg(info_msg.msg_folder,info_msg.msg_number,ID);};
-	option_print.innerHTML = get_lang('Print');
-	options.appendChild(space0);
-	options.appendChild(option_print);
+	space4.innerHTML = '&nbsp;|&nbsp;';
+
 	var option_forward = document.createElement("SPAN");
 	option_forward.id = 'msg_opt_forward_'+ID;
@@ -1048,13 +1125,17 @@
 	options.appendChild(space2);
 	options.appendChild(option_reply);
-	var option_delete = document.createElement("SPAN");
-	option_delete.id = 'msg_opt_delete_'+ID;
-	option_delete.className = 'message_options';
-	option_delete.onclick = function(){proxy_mensagens.delete_msgs(info_msg.msg_folder, info_msg.msg_number, ID);};
-	option_delete.innerHTML = get_lang('Delete');
-	options.appendChild(space3);
-	options.appendChild(option_delete);
+	/* TODO, template == default ? what hell you're doing*/
+	if (template == "default"){
+		var option_delete = document.createElement("SPAN");
+		option_delete.id = 'msg_opt_delete_'+ID;
+		option_delete.className = 'message_options';
+		option_delete.onclick = function(){proxy_mensagens.delete_msgs(info_msg.msg_folder, info_msg.msg_number, ID);};
+		option_delete.innerHTML = get_lang('Delete');
+		options.appendChild(space3);
+		options.appendChild(option_delete);
+	}
 	
 	tr.appendChild(td);
+	tr.appendChild(option_mark);
 	tr.appendChild(options);
 	tr.appendChild(next_previous_msg_td);
@@ -1078,10 +1159,10 @@
 	
 	var option_move							= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","move_to");>'+get_lang("Move")+'</span> | ';
-	var option_reply_to_all					= '<span class="message_options" onclick=new_message("reply_to_all_with_history","'+ID+'");>'+get_lang("Reply to all")+'</span> | ';
-	var option_reply_without_history		= '<span class="message_options" onclick=new_message("reply_without_history","'+ID+'");>'+get_lang("Reply without history")+'</span> | ';
-	var option_reply_to_all_without_history	= '<span class="message_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span> | ';
-	var option_source_msg					= '<span class="message_options" onclick=proxy_mensagens.proxy_source_msg("'+ID+'","'+url_encode(info_msg.msg_folder)+'");>'+get_lang("Message Font")+'</span>';	
-
-	div_other_options.innerHTML = option_mark_as + option_mark_as_unseen + option_mark_as_important + option_mark_as_normal + option_move + option_reply_to_all + option_reply_without_history + option_reply_to_all_without_history + option_source_msg;
+	var option_reply_to_all					= '<span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=new_message("reply_to_all_with_history","'+ID+'");>'+get_lang("Reply to all")+'</span> | ';
+	var option_reply_without_history		= '<span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=new_message("reply_without_history","'+ID+'");>'+get_lang("Reply without history")+'</span> | ';
+	var option_reply_to_all_without_history	= '<span onmouseover="this.className=\'message_options_active\'" onmouseout="this.className=\'message_options\'" class="message_options" onclick=new_message("reply_to_all_without_history","'+ID+'");>'+get_lang("Reply to all without history")+'</span> </div>';
+	var option_source_msg =""; //= '<span class="message_options" onclick=source_msg("'+ID+'","'+url_encode(info_msg.msg_folder)+'");>'+get_lang("Message Font")+'</span>';		
+
+	div_other_options.innerHTML = option_reply_to_all + option_reply_without_history + option_reply_to_all_without_history + option_source_msg;
 	if (use_spam_filter) {
 		if(info_msg.msg_folder == 'INBOX'+cyrus_delimiter+'Spam')
@@ -1183,5 +1264,4 @@
 	}
 	
-	
 	var from = document.createElement("TD");
 	from.id = "from_"+ID;
@@ -1196,5 +1276,5 @@
 	from_values.type = "HIDDEN";
 	from_values.value = info_msg.from.full; //Veio do IMAP, sem images nem links.
-	
+
 	var local_message = document.createElement("INPUT");
 	local_message.id = "is_local_"+ID;
@@ -1202,12 +1282,12 @@
 	local_message.type = "HIDDEN";
 	local_message.value = (info_msg.local_message)?"1":"0";
-	
+
 	tr1.appendChild(td1);
 	tr1.appendChild(from);
 	tr1.appendChild(from_values);
 	tr1.appendChild(local_message);
-	
-
-	
+
+
+
 	if (info_msg.reply_to){
 		var tr11 = document.createElement("TR");
@@ -1331,5 +1411,5 @@
 
 			/*
-			 * The function below is ugly, doesn't possible use its.
+			 * The function below is ugly, doesn't possible use this.
 			 * The problem is that the code's function was written
 			 * on a hardcode concept.
@@ -1342,5 +1422,5 @@
 		else{
 			/*
-			 * The function below is ugly, it is not possible to use them.
+			 * The function below is ugly, it is not possible to use this.
 			 * The problem is that the code's function was written
 			 * on a hardcode concept.
@@ -1371,5 +1451,4 @@
 	date_hour.type = "HIDDEN";
 	date_hour.value = info_msg.msg_hour
-	
 	date.className = "header_message_field";
 	tr4.appendChild(td4);
@@ -1390,5 +1469,4 @@
 	tr5.appendChild(subject);
 	tbody_message_others_options.appendChild(tr5);
-
 	if (info_msg.attachments.length > 0){
 		var tr6 = document.createElement("TR");
@@ -1428,4 +1506,5 @@
 			attachments.appendChild(zipped_attachments);
 		}
+
 		attachments.id = "attachments_" + ID;
 		for (var i=0; i<info_msg.attachments.length; i++){
@@ -1444,5 +1523,5 @@
 				//Link para importar calendário
 				var link_import_attachment = new Image();
-				link_import_attachment.src = "templates/default/images/new.png";
+				link_import_attachment.src = "templates/"+template+"/images/new.png";
 				link_import_attachment.setAttribute("onclick","javascript:import_calendar('"+info_msg.msg_folder+"&msg_number="+info_msg.msg_number+"&msg_part="+info_msg.attachments[i].pid+"&idx_file="+i+"&encoding="+info_msg.attachments[i].encoding+"');");
 				link_import_attachment.title = get_lang("Import to calendar");
@@ -1456,6 +1535,6 @@
 			}
 			else {
-			link_attachment.innerHTML += '<BR>';
-			attachments.appendChild(link_attachment);
+				link_attachment.innerHTML += '<BR>';
+				attachments.appendChild(link_attachment);
 			}
 		}
@@ -1469,11 +1548,11 @@
 	var bar = document.getElementById("toolbar");
 	var offset = 0;
-	if(bar.style.visibility != 'hidden') 
-		offset = bar.offsetHeight ? bar.offsetHeight :  bar.clientHeight;		
+	if(bar.style.visibility != 'hidden')
+		offset = bar.offsetHeight ? bar.offsetHeight :  bar.clientHeight;
 	var div = document.createElement("DIV");
 	div.id = "div_message_scroll_"+ID;
 	div.style.background = 'WHITE';
 	div.style.height = document.body.clientHeight - offset - 125;
-	content.style.height = document.body.clientHeight - offset - 80;
+	content.style.height = document.body.clientHeight - offset - 90;
 	div.style.overflow = "auto";
 	div.style.width = defaultWidth - (is_ie ? 5 : 0);
@@ -1484,4 +1563,37 @@
 	td.colSpan = '2';
 	div.appendChild(table_message_others_options);
+	var imgTag = info_msg.body.match(/(<img[^>]*src[^=]*=['"][^'"]*["'][^>]*>)|(<td[^>]*background[^=]*=['"][^'"]*["'][^>]*>)/gi);
+	var newBody = info_msg.body;
+	if(!info_msg.showImg && imgTag)
+	{
+		var domains = '';
+		var blocked = false;
+		var forbidden = true;
+		if (preferences.notification_domains != undefined && preferences.notification_domains != "")
+			domains = preferences.notification_domains.split(',');
+		for(var j = 0; j < imgTag.length; j++)
+		{
+			for (var i = 0; i < domains.length; i++)
+			{
+				imgSource = imgTag[j].match(/=['"](http:\/\/)+[^'"\/]*/);
+				if (imgSource && imgSource.toString().substr(5).match(domains[i]))
+					forbidden = false;
+			}
+			if (forbidden)
+			{
+				newBody = newBody.replace(imgTag[j],"<img src='templates/"+template+"/images/forbidden.png'>");
+				blocked=true;
+			}
+		}
+		if (blocked)
+		{
+			var showImgLink = document.createElement('DIV');
+			showImgLink.id="show_img_link";
+			showImgLink.onclick = function () { cExecute('$this.imap_functions.get_info_msg&msg_number='+info_msg.msg_number+'&msg_folder='+info_msg.msg_folder,show_msg_img); };
+			showImgLink.className="show_img_link";
+			showImgLink.innerHTML = get_lang("Show images from")+": "+info_msg.from.email;
+			td.appendChild(showImgLink);
+		}
+	}
 	td.appendChild(div);
 	tr.appendChild(td)
@@ -1491,12 +1603,12 @@
 	//////////////////////////////////////////////////////////////////////////////////////////////////////	
 	//Make the body message.
-	//////////////////////////////////////////////////////////////////////////////////////////////////////
+	///////////////////////////////////////////////////////////////////////////////////////////////////////
 	var tr = document.createElement("TR");
 	tr.className = "tr_message_body";
 	var td = document.createElement("TD");
 	//td.setAttribute("colSpan","2");
-	info_msg.body = info_msg.body.replace("<body","<span");
-	info_msg.body = info_msg.body.replace("<BODY","<span");
-	div.innerHTML+= "<span id='body_"+ID+"'>"+info_msg.body+"</span><br><br>";
+	newBody = newBody.replace("<body","<span");
+	newBody = newBody.replace("<BODY","<span");
+	div.innerHTML+= "<span id='body_"+ID+"'>"+newBody+"</span><br><br>";
 	//////////////////////////////////////////////////////////////////////////////////////////////////////	
 	//Make the thumbs of the message.
@@ -1526,5 +1638,5 @@
 		}
 		
-		td.innerHTML +=	"<BR><img src='templates/default/images/menu/ktip.png'>"+get_lang("<b>Tip:</b> For faster save, click over the image with <u>right button</u>.");
+		td.innerHTML +=	"<BR><img src='templates/"+template+"/images/menu/ktip.png'>"+get_lang("<b>Tip:</b> For faster save, click over the image with <u>right button</u>.");
 		td.innerHTML += "<BR>";
 
@@ -1550,4 +1662,5 @@
 	//////////////////////////////////////////////////////////////////////////////////////////////////////
 }
+
 function draw_new_message(border_ID){
 	var ID = create_border("",border_ID);
@@ -1699,5 +1812,5 @@
 	
 	var img_search = document.createElement("IMG");
-	img_search.src = "./templates/default/images/search.gif";
+	img_search.src = "./templates/"+template+"/images/search.gif";
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
 	img_search.onclick = function () {emQuickSearch(document.getElementById('to_'+ID).value, 'to', ID);};
@@ -1782,5 +1895,5 @@
 	td_cc.appendChild(input_cc);
 	var img_search = document.createElement("IMG");
-	img_search.src = "./templates/default/images/search.gif";
+	img_search.src = "./templates/"+template+"/images/search.gif";
 	img_search.onclick = function () {emQuickSearch(document.getElementById('cc_'+ID).value, 'cc', ID)}
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');
@@ -1865,5 +1978,5 @@
 	td_cco.appendChild(input_cco);
 	var img_search = document.createElement("IMG");
-	img_search.src = "./templates/default/images/search.gif";
+	img_search.src = "./templates/"+template+"/images/search.gif";
 	img_search.title = get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.');	
 	img_search.onclick = function () {emQuickSearch(document.getElementById('cco_'+ID).value, 'cco', ID);};
@@ -1962,4 +2075,5 @@
 		tbody_message.appendChild(trn);
 	}
+
 	var add_files = document.createElement("A");
 	add_files.setAttribute("href", "javascript:void(0)");
@@ -2006,8 +2120,6 @@
 	var _div = document.createElement("DIV");
 	_div.id = "div_message_scroll_"+ID;
-//	_div.style.background = 'WHITE';
 	_div.style.height = document.body.clientHeight - _offset - 105;
 	content.style.height = document.body.clientHeight - _offset - 80;
-	
 	_div.style.overflow = "auto";
 	_div.style.width = defaultWidth;
@@ -2179,5 +2291,5 @@
 	td21.height="15";
 	td22 = document.createElement("TD");	
-	td21.setAttribute("background","templates/default/images/dsunused.gif");
+	td21.setAttribute("background","templates/"+template+"/images/dsunused.gif");
 	table221 = document.createElement("TABLE");
 	tbody221 = document.createElement("TBODY");
